summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSage Weil <sage@newdream.net>2009-12-01 16:18:42 -0800
committerSage Weil <sage@newdream.net>2009-12-01 16:18:56 -0800
commit83e2b9cc79e8cafdaaa74d42ab6b833b7818f1d2 (patch)
treea66b27c8b1fa360734534f838594646f046e344b
parent9b5b0f9a4785092832c49e5690f4f230f242bea5 (diff)
downloadceph-83e2b9cc79e8cafdaaa74d42ab6b833b7818f1d2.tar.gz
qa: specify test path as argument ot runallone.sh
-rwxr-xr-xqa/runallonce.sh8
-rwxr-xr-xqa/runonceph.sh2
2 files changed, 5 insertions, 5 deletions
diff --git a/qa/runallonce.sh b/qa/runallonce.sh
index 9d1dfca6bde..cf2f411693f 100755
--- a/qa/runallonce.sh
+++ b/qa/runallonce.sh
@@ -2,14 +2,14 @@
set -e
-basedir=`pwd`
-testdir="${basedir}/testspace"
+basedir=`echo $0 | sed 's/[^/]*$//g'`.
+testdir="$1"
-mkdir -p $testdir
+test -d $testdir || ( echo "specify test dir" && exit 1 )
+cd $testdir
for test in `cd $basedir && find workunits/* | grep .sh`
do
- cd $testdir
echo "------ running test $test ------"
mkdir -p $test
pushd .
diff --git a/qa/runonceph.sh b/qa/runonceph.sh
index 1e0aad5c829..15b38e99616 100755
--- a/qa/runonceph.sh
+++ b/qa/runonceph.sh
@@ -3,4 +3,4 @@
mkdir -p testspace
cfuse testspace -m $1
-./runallonce.sh \ No newline at end of file
+./runallonce.sh testspace \ No newline at end of file